Pycam missing gtk

More
13 Mar 2023 01:09 #266526 by sajurcaju
Pycam missing gtk was created by sajurcaju
I'm on Linux Mint 21.1. When I try to run pycam, I get the following:
Enabled 6 parallel local processes
Failed to import GTK: No module named 'gtk'
PyCAM dependency problem
Error: Failed to load the GTK interface.
Details:
    Python bindings for GTK+: MISSING (Install the package 'python-gtk2')

If dpkg is the right thing to look at, it seems to think I have gtk:
$ dpkg -l libgtk2.0-0 libgtk-3-0 
Desired=Unknown/Install/Remove/Purge/Hold
| Status=Not/Inst/Conf-files/Unpacked/halF-conf/Half-inst/trig-aWait/Trig-pend
|/ Err?=(none)/Reinst-required (Status,Err: uppercase=bad)
||/ Name              Version          Architecture Description
+++-=================-================-============-==================================================
ii  libgtk-3-0:amd64  3.24.33-1ubuntu2 amd64        GTK graphical user interface library
ii  libgtk2.0-0:amd64 2.24.33-2ubuntu2 amd64        GTK graphical user interface library - old version

I don't know Linux enough to know how to proceed. Anyone have a clue for me?

Steve

Please Log in or Create an account to join the conversation.

More
13 Mar 2023 01:17 #266527 by tommylight
Replied by tommylight on topic Pycam missing gtk
sudo apt install python-gtk2

Please Log in or Create an account to join the conversation.

More
13 Mar 2023 09:51 #266538 by sajurcaju
Replied by sajurcaju on topic Pycam missing gtk
Yes, tried that.
E: Unable to locate package python-gtk2
Search found these:
pkgs.org/download/python-gtk2
packages.ubuntu.com/bionic/python-gtk2
which admit its existence, but I don't see how to download. The links on the first page take me in loops, rather than offering a download.

Please Log in or Create an account to join the conversation.

More
More
13 Mar 2023 19:08 #266587 by robertspark
Replied by robertspark on topic Pycam missing gtk
could this be because mint 21 is python3 and pycam is looking for gtk2.....

Please Log in or Create an account to join the conversation.

More
13 Mar 2023 19:10 - 13 Mar 2023 19:13 #266588 by robertspark
Last edit: 13 Mar 2023 19:13 by robertspark.

Please Log in or Create an account to join the conversation.

More
13 Mar 2023 19:13 #266589 by sajurcaju
Replied by sajurcaju on topic Pycam missing gtk
Roberspark and Tommylight, I haven't had time to get much further. I did find a repository that had it and got more dependency errors, which may be related to Python 2/3. May not.

Unpacking python-gtk2 (2.24.0-5.1ubuntu2) over (2.24.0-5.1ubuntu2) ...
dpkg: dependency problems prevent configuration of python-gtk2:
python-gtk2 depends on python (<< 2.8); however:
Package python is not installed.
python-gtk2 depends on python (>= 2.7); however:
Package python is not installed.
python-gtk2 depends on python:any (>= 2.6.6-7~).
python-gtk2 depends on python-cairo (>= 1.0.2-1.1); however:
Package python-cairo is not installed.
python-gtk2 depends on python-gobject-2 (>= 2.21.3); however:
Package python-gobject-2 is not installed.

Please Log in or Create an account to join the conversation.

More
13 Mar 2023 19:16 #266591 by robertspark
Replied by robertspark on topic Pycam missing gtk
I've just updated my previous post with more info, you need to install the newer version newer that 0.6 as older versions were python 2 and use gtk2

the newer version (>0.6) are python3 and use gtk2 hence your dependency error

Please Log in or Create an account to join the conversation.

More
13 Mar 2023 19:16 #266592 by sajurcaju
Replied by sajurcaju on topic Pycam missing gtk
What I installed is pycam-0.6.4

Please Log in or Create an account to join the conversation.

More
13 Mar 2023 19:35 #266596 by robertspark
Replied by robertspark on topic Pycam missing gtk
hmm you may need to install python 2.7 etc.

Please Log in or Create an account to join the conversation.

Moderators: Skullworks
Time to create page: 0.092 seconds
Powered by Kunena Forum